#SELinux
%define selinux_variants mls strict targeted
%define selinux_policyver %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp 2> /dev/null)
%define moduletype apps

# -- headers ----------------------------------------------------

Name:           rh-rhua-selinux-policy
Version:        3.0.0
Release:        1%{?dist}
Summary:        SELinux policy for RHUA and CDS.

Group:          Development/Languages
License:        GPLv2
URL:            http://redhat.com
Source0:        https://fedorahosted.org/releases/p/u/pulp/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  rpm-python
BuildRequires:  make
BuildRequires:  checkpolicy
BuildRequires:  selinux-policy-devel
BuildRequires:  hardlink

# needed for celery_t and /srv/pulp definitions
Requires:  pulp-selinux

%if "%{selinux_policyver}" != ""
Requires: selinux-policy >= %{selinux_policyver}
%endif
Requires(post): /usr/sbin/semodule, /sbin/fixfiles, /usr/sbin/semanage
Requires(postun): /usr/sbin/semodule

%description
SELinux policy for RHUA and CDS.

# -- build -------------------------------------------------------------------

%prep
%setup -q

%build
%if 0%{?rhel} >= 6
%define distver rhel%{rhel}
%endif
%if 0%{?fedora} >= 18
%define distver fedora%{fedora}
%endif

# SELinux Configuration
cd selinux/rh-rhua
perl -i -pe 'BEGIN { $VER = join ".", grep /^\d+$/, split /\./, "%{version}.%{release}"; } s!0.0.0!$VER!g;' rh-rhua.te
./build.sh %{distver}
cd -

%install
# Install SELinux policy modules
cd selinux/rh-rhua
./install.sh %{buildroot}%{_datadir}
mkdir -p %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cp enable.sh %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cp uninstall.sh %{buildroot}%{_datadir}/rh-rhua/selinux/rh-rhua
cd -

%clean
rm -rf %{buildroot}

%post 
# Enable SELinux policy modules
%{_datadir}/rh-rhua/selinux/rh-rhua/enable.sh
restorecon -Ri /srv/pulp/

%preun 
# Clean up after package removal
if [ $1 -eq 0 ]; then
%{_datadir}/rh-rhua/selinux/rh-rhua/uninstall.sh
fi
exit 0

%files 
%defattr(-,root,root,-)
%doc selinux/rh-rhua/rh-rhua.fc selinux/rh-rhua/rh-rhua.if selinux/rh-rhua/rh-rhua.te
%{_datadir}/rh-rhua/selinux/rh-rhua/*
%{_datadir}/selinux/*/rh-rhua.pp
%{_datadir}/selinux/devel/include/%{moduletype}/rh-rhua.if

# -- changelog ---------------------------------------------------------------

%changelog
* Tue Jan 24 2017 B Zhang <bizhang@redhat.com> 3.0.0-1
- bumping version to 3.0.0 (bizhang@redhat.com)

* Tue Aug 23 2016 Patrick Creech <pcreech@redhat.com> 0.1.14-1
- Fix gluster selinux issues on RHUA (pcreech@redhat.com)

* Tue Jul 26 2016 Patrick Creech <pcreech@redhat.com> 0.1.13-1
- Use corenet_udp_bind_generic_port instead (pcreech@redhat.com)

* Mon Jul 11 2016 Patrick Creech <pcreech@redhat.com> 0.1.12-1
- Allow celery_t rmdir priveleges on nfs (pcreech@redhat.com)

* Wed Oct 07 2015 Chris Duryee <cduryee@redhat.com> 0.1.11-1
- add selinux permission for symlink reading (cduryee@redhat.com)

* Thu Sep 17 2015 Chris Duryee <cduryee@redhat.com> 0.1.10-1
- allow celery to unlink files on nfs mounts (cduryee@redhat.com)

* Thu Sep 03 2015 Chris Duryee <cduryee@redhat.com> 0.1.9-1
- updating selinux policy to handle NFS mounted pulp content
  (cduryee@redhat.com)

* Thu Aug 27 2015 Chris Duryee <cduryee@redhat.com> 0.1.8-1
- fix issues that were causing selinux to not apply to RHUA
  (cduryee@redhat.com)

* Wed Aug 26 2015 Chris Duryee <cduryee@redhat.com> 0.1.7-1
- Two selinux updates (cduryee@redhat.com)

* Tue Aug 25 2015 Chris Duryee <cduryee@redhat.com> 0.1.6-1
- update enable script for selinux policy so it always runs
  (cduryee@redhat.com)

* Mon Aug 17 2015 Chris Duryee <cduryee@redhat.com> 0.1.5-1
- many selinux updates for RHUA (cduryee@redhat.com)

* Thu Aug 06 2015 Chris Duryee <cduryee@redhat.com> 0.1.4-1
- pass in distro flag for selinux policy generation (fixes el6)
  (cduryee@redhat.com)

* Tue Aug 04 2015 Chris Duryee <cduryee@redhat.com> 0.1.3-1
- run restorecon after setting policy (cduryee@redhat.com)

* Tue Aug 04 2015 Chris Duryee <cduryee@redhat.com> 0.1.2-1
- Allow httpd to read /srv/pulp/* (cduryee@redhat.com)

* Tue Aug 04 2015 Chris Duryee <cduryee@redhat.com> 0.1.1-1
- new package built with tito

* Tue Feb 28 2012 James Slagle <jslagle@redhat.com> 0.0.6-1
- 796818 label qpid port for selinux as part of policy package, not rh-rhua-
  config (jslagle@redhat.com)
- Re-enable mls and strict SELinux variants, but pipe install output to
  /dev/null so we won't see error messages if they don't install
  (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 0.0.5-1
- Re-enable mls and strict SELinux variants, but pipe install output to
  /dev/null so we won't see error messages if they don't install
  (jslagle@redhat.com)

* Fri Feb 03 2012 James Slagle <jslagle@redhat.com> 0.0.4-1
- Delete relabel.sh, not needed (jslagle@redhat.com)
- Specify all SELinux variants (jslagle@redhat.com)
- Fix version in rh-rhua.te (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 0.0.3-1
- Fix name of policy in setup scripts (jslagle@redhat.com)
- Remove stray % (jslagle@redhat.com)
- Move relabel.sh into correct directory (jslagle@redhat.com)
- Add missing relabel.sh (jslagle@redhat.com)

* Thu Feb 02 2012 James Slagle <jslagle@redhat.com> 0.0.2-1
- new package built with tito
